Subject: bug#43702: Emacs master: Incorrect highlighting in regexp isearch.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Oct 2020 10:16:29 +0300

> From: Juri Linkov <[email-masked]>
> Date: Tue, 06 Oct 2020 23:01:16 +0300
> Cc: Alan Mackenzie <[email-masked]>, Lars Ingebrigtsen <[email-masked]>,
>  [email-masked]
> 
> > As I mentioned, it's simple to just repeat the use
> > of the same 8 faces, for 9-16, 17-24, etc.
> 
> This is a very good idea.  Now this is implemented in isearch.

I don't think I understand the change, and the documentation doesn't
seem to help.  It seems like now there are just two faces that are
used alternately, i.e. one face for odd-numbered groups, the other for
even-numbered groups?  If this is the case, why doesn't the
documentation say so explicitly?  And if this is not the case, what
did I miss?

> I suppose you agree that the previous color palette in isearch
> with a color gradient is not suitable for highlighting of group matches
> because while looking at highlighted matches it's quite impossible to
> say which color corresponds to which group number.

And with the current implementation on master it is possible?  If so,
how?